/* #region @keyframes */
@keyframes fadeIn {
	from {
		opacity: 0;
	}

	to {
		opacity: 1;
	}
}

@keyframes slideIn {
	from {
		opacity: 0;
	}

	to {
		opacity: 1;
		translate: 0 0;
	}
}

/* #endregion */
/* #region @prefers-reduced-motion */
@media (prefers-reduced-motion: reduce) {
	*, *::before, *::after {
		animation-delay: 0s !important;
		animation-duration: 0s !important;
		scroll-behavior: auto !important;
		transition-delay: 0s !important;
		transition-duration: 0s !important;
	}
}

/* #endregion */
/* #region Elements */
@view-transition {
	navigation: auto;
}

*, *::before, *::after {
	box-sizing: border-box;
	margin: 0;
	padding: 0;
}

a {
	color: var(--green700);
	text-decoration: none;
	transition: all .2s ease-in-out;

	&:hover {
		color: var(--green500);
	}
}

body {
	background-color: black;
	color: var(--green900);
	font-family: var(--font-sans);
}

h1, h2, h3 {
	text-wrap: pretty;
}

html {
	scroll-behavior: smooth;
	scrollbar-gutter: stable;
}

img {
	display: block;
	max-width: 100%;
}

li {
	line-height: 1.3;

	&:first-of-type {
		margin-top: .7em;
	}
}

p {
	font-size: var(--fz18);
	line-height: 1.5;
	margin-bottom: 1.2rem;
	text-wrap: pretty;
}

ul {
	margin-left: 2rem;
}

/* #endregion */
/* #region Global */
.btn {
	background-color: var(--green700);
	border-radius: .3rem;
	color: white;
	display: inline-block;
	font-size: var(--fz14);
	padding: 1em 1.8em;
	letter-spacing: 2px;
	text-decoration: none;
	text-transform: uppercase;
	transition: background-color 0.2s, color .2s;

	&:hover {
		background-color: var(--green700);
		color: white !important;
		text-decoration: none !important;
	}
}

.content {
	margin-inline: auto;
	width: min(85%, var(--content-max-width, 1200px));
}

.ripcord {
	display: inline-block;
	font-size: var(--fz12);
	letter-spacing: 1px;
	margin-top: 2rem;
	text-transform: uppercase;
}

/* #endregion */
/* #region Nav */
.nav-contain {
	justify-self: end;
}

.nav-grid {
	column-gap: .5em;
	display: grid;
	font-weight: 700;
	grid-auto-flow: column;
	text-transform: uppercase;
	white-space: nowrap;

	@media (width < 1200px) {
		align-content: start;
		background-color: var(--black-90);
		grid-auto-flow: row;
		height: 100vh;
		justify-content: center;
		left: 0;
		padding-top: 4rem;
		position: absolute;
		row-gap: 1em;
		top: 0;
		translate: 0 -100vh;
		transition: translate .3s ease-out;
		width: 100vw;
	}

	a {
		border-radius: .2rem;
		color: var(--grey500);
		font-weight: 700;
		letter-spacing: 1px;
		padding: .5rem .8rem;
		text-decoration: none;
		text-transform: uppercase;
		white-space: nowrap;

		@media (width < 1200px) {
			color: white;
		}

		&:hover {
			background-color: var(--green700);
			color: white;
		}
	}
}

.nav-icon {
	@media (width < 1200px) {
		display: block;
		position: relative;
		transition: rotate 1s;
		background-color: white;
		height: 3px;
		width: 20px;

		&::after,
		&::before {
			background-color: white;
			content: '';
			height: 3px;
			position: absolute;
			width: 20px;
		}

		&::after {
			top: 6px;
		}

		&::before {
			bottom: 6px;
		}
	}
}

.nav-icon-box {
	@media (width < 1200px) {
		display: block;
		padding: 12px 6px;
	}
}

.nav-open {
	.nav-grid {
		@media (width < 1200px) {
			translate: 0 0;
			transition: translate .3s ease-out;
		}
	}

	.nav-icon {
		@media (width < 1200px) {
			background-color: transparent;
			rotate: 360deg;
			transition: rotate 1s;

			&::after,
			&::before {
				background-color: white;
				top: 0;
			}

			&::after {
				rotate: -45deg;
			}

			&::before {
				rotate: 45deg;
			}
		}
	}

	.nav-icon-box {
		@media (width < 1200px) {
			position: relative;
			z-index: 10;
		}
	}
}

/* #endregion */
/* #region Header */
.header {
	background-color: var(--black-90);
	color: white;
	padding: 1.5rem 0;
	position: fixed;
	width: 100%;
	z-index: 10;
}

.header-grid {
	align-items: center;
	display: grid;
	grid-template-columns: auto 1fr;

	.logo {
		transition: width .3s ease;
		width: 250px;

		&.scrolled {
			width: 150px;
		}
	}
}

/* #endregion */
/* #region Footer */
.footer {
	background: linear-gradient(black, var(--green900) 40%, black);
	color: var(--grey500);
	padding-block: 4rem 6rem;
	text-align: center;

	p {
		font-size: var(--fz16);
	}
}

/* #endregion */
/* #region Hero */
.hero {
	background: linear-gradient(to bottom, transparent, var(--green900)), url("https://ripcord.sirv.com/SSi/iStock-1194257274.jpg") center/cover fixed;
	color: white;
	height: 100vh;
	text-align: center;

	@media (width < 1200px) {
		background-attachment: scroll;
	}

	h1 {
		animation: fadeIn 1s ease-in both;
		font-size: var(--fz60);
		font-weight: 700;
		letter-spacing: -1px;
		line-height: 1.1;
		margin-bottom: 1rem;
	}

	p {
		animation: fadeIn 1s ease-in both;
		animation-delay: 1s;
		font-size: var(--fz28);
		line-height: 1.4;
		margin: 0 auto 4rem;
		max-width: 48ch;
	}

	.btn {
		animation: fadeIn 1s ease-in both;
		animation-delay: 2s;
		background-color: var(--green500);

		&:hover {
			background-color: var(--green300);
		}
	}

	.content {
		padding-top: 30vh;
	}
}

/* #endregion */
/* #region Home-Capabilities */
.home-capabilities {
	background: linear-gradient(white, var(--green100));
	color: var(--green700);
	padding-block: 5rem;
	text-align: center;

	h2 {
		font-size: var(--fz32);
		font-weight: 700;
		margin-bottom: 1rem;
	}
}

.home-capabilities-grid {
	display: grid;
	gap: 2rem;
	grid-template-columns: repeat(4, 1fr);
	margin-top: 3rem;

	@media (width < 1200px) {
		grid-template-columns: repeat(2, 1fr);
	}

	@media (width < 800px) {
		grid-template-columns: auto;
	}

	a {
		background-color: black;
		border-radius: .3rem;
		overflow: hidden;

		&:hover h3 {
			background-color: var(--green500);
			color: white;
			transition: background-color .3s;
		}
	}

	h3 {
		background-color: white;
		font-size: var(--fz14);
		font-weight: 700;
		padding: 1.5em 2em;
		text-align: center;
		text-transform: uppercase;
		transition: all .3s;
	}
}

/* #endregion */
/* #region Home-CTA */
.home-cta {
	background: linear-gradient(45deg, var(--blue-90), var(--green700-90)), url("https://ripcord.sirv.com/SSi/AdobeStock_108877440.jpg") center/cover fixed;
	color: white;
	padding-block: 5rem;
	text-align: center;

	h2 {
		font-size: var(--fz32);
		font-weight: 700;
		margin-bottom: .5em;
	}

	p {
		margin-inline: auto;
		max-width: 45rem;
	}

	.btn {
		background-color: var(--grey500);
		color: var(--green700);
		font-weight: 700;
		margin-top: 2.5rem;

		&:hover {
			background-color: white;
			color: var(--green700) !important;
		}
	}
}

/* #endregion */
/* #region Home-Intro */
.home-intro {
	background: linear-gradient(to right, transparent, var(--blue)), url("https://ripcord.sirv.com/SSi/iStock-879913090.jpg") center/cover fixed;
	border-top: 1px solid var(--blue);
	color: white;
	padding-block: 10rem;

	@media (width < 1200px) {
		background-attachment: scroll;
	}

	@media (width < 800px) {
		padding-block: 6rem;
	}

	h2 {
		font-size: var(--fz32);
		font-weight: 700;
		margin-bottom: .5em;
	}

	li {
		font-size: var(--fz18);
		margin-bottom: 1.5rem;

		&:first-of-type {
			margin-top: 2rem;
		}
	}

	.btn {
		background-color: var(--grey500);
		color: var(--blue);
		font-weight: 700;
		margin-top: 2.5rem;

		&:hover {
			background-color: white;
			color: var(--blue) !important;
		}
	}
}

.home-intro-layout {
	margin-left: auto;
	width: 60%;

	@media (width < 800px) {
		margin: 0;
		width: 100%;
	}
}

/* #endregion */
/* #region Sub */
.sub {
	background: linear-gradient(to bottom, var(--white95), var(--grey100)), url("https://ripcord.sirv.com/SSi/hexback.jpg");
	color: var(--grey900);
	padding-block: 12rem 4rem;

	a:hover {
		text-decoration: underline;
	}

	h1 {
		font-size: var(--fz36);
		font-weight: 700;
		letter-spacing: -1px;
		margin-bottom: 1.5em;
	}

	h2 {
		font-size: var(--fz20);
		font-weight: 700;
		margin-block: 2.2em .4em;
	}
}

.sub-tagline {
	font-size: var(--fz28);
	margin-bottom: 1em;
}

/* #endregion */
/* #region Sub-About */
.sub-about-grid {
	display: grid;
	gap: 2rem 4rem;
	grid-template-columns: repeat(3, auto);
	margin-top: 3rem;

	@media (width < 800px) {
		grid-template-columns: auto;
	}

	h2 {
		font-size: var(--fz24);
		font-weight: 700;
		margin-block: .4em !important;
	}

	svg {
		color: var(--grey500);
		width: 40px;
	}
}

/* #endregion */
/* #region Sub-Accomplishments */
.sub-accomplishments-grid {
	border-radius: .3rem;
	display: grid;
	gap: 1px;
	grid-template-columns: repeat(3, auto);
	margin-top: 3rem;
	overflow: hidden;

	@media (width < 800px) {
		grid-template-columns: repeat(2, auto);
	}
}

/* #endregion */
/* #region Sub-Capabilities */
.sub-capabilities-grid {
	display: grid;
	gap: 4rem;
	grid-template-columns: repeat(2, 1fr);

	@media (width < 800px) {
		grid-template-columns: auto;
	}

	h2 {
		margin-block: 0 1em;
	}

	img {
		border: 1px solid var(--grey300);
		border-radius: .3em;
		margin-bottom: .8rem;
	}
}

/* #endregion */
/* #region Sub-Contact */
.sub-contact-grid {
	display: grid;
	gap: 10vw;
	grid-template-columns: auto 1fr;
	justify-content: start;

	@media (width < 800px) {
		gap: 4rem;
		grid-template-columns: auto;
		justify-content: stretch;
	}

	h2 {
		font-size: var(--fz14);
		letter-spacing: 1px;
		margin: 2em 0 .3em;
		text-transform: uppercase;
	}

	iframe {
		width: 100%;
	}
}

/* #endregion */